<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

// 27-1-2021 Proviene de listado de reposiciones
if($_SESSION['orden_reposicion']['detalle']['linea_seleccionada'] && $_GET['procedencia']=='reposicion') $reposicion=true;

//27-07-2023 esto se define aqui, al igual que en la pantalla de traspasar. No sé por qué no está en el script de parametros-almacen general
//por si acaso lo dejo aqui, tal vez porque en otras pantallas se comporta diferente
if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $_SESSION['gestionIdPaletCliente'] ) $_SESSION['mostrarIdsPaletCliente']=true;

if($reposicion) include($rutaPhp.$rutaHtml.'/contenidos/reposicion-orden-cabecera-linea.php');
else unset($_SESSION['orden_reposicion']);

if($_GET['traza']=='si') {
	echo '<p>Parámetro DobleLecturaUbicacion: '.$_SESSION['parametrosSGA']['DobleLecturaUbicacion'].'</p>';
	echo '<p>Parámetro ConfigUbiNivelSeparador: '.$_SESSION['parametrosSGA']['ConfigUbiNivelSeparador'].'</p>';
	echo '<p>Parámetro ConfigUbiNivelTamanyoID: '.$_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID'].'</p>';
	echo '<p>Parámetro ConfigUbiNivelAutocompletarEspacios: '.$_SESSION['parametrosSGA']['ConfigUbiNivelAutocompletarEspacios'].'</p>';
    echo '<p>Parámetro ConfigUbiNivelCaracterAutocompletar: '.$_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar'].'</p>';
	echo '<p>Parámetro ConfigUbiNivelAlineacion: '.$_SESSION['parametrosSGA']['ConfigUbiNivelAlineacion'].'</p>';
	echo "Borrar la altura de la lectura de ubicación desde el scanner (porque está preinformada en la etiqueta): ".$borrarAlturaDeUbicacionScanner."<br>";
}

//18-01-2022
if($_GET['contenedor']) {
	$esperarCarga=true;
	$contenedor=$_GET['contenedor'];
}

//21-07-2023
if($reposicion && $_SESSION['parametrosSGA']['PlayaRobotReposicion']) {
	$ubicacionObligatoria=$_SESSION['parametrosSGA']['PlayaRobotReposicion'];
}
else $ubicacionObligatoria=false;




?>

<h2>Ubicar</h2>

<table border="0" cellspacing="0" cellpadding="5" style="margin:0 auto">
  <tr>
    <td colspan="3">
    <form id="formularioContenedor" name="formularioContenedor" method="post" action="<?php if($_GET['procedencia']) { ?>?procedencia=<?php echo $_GET['procedencia']; ?><?php } ?>">
        <p>Palet:<br />
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor" /><input name="contenedor" type="text" class="campo" id="contenedor" size="18" style="width:460px" autocomplete="off" value="<?php echo $contenedor; ?>"/>
      <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarContenedor"/></p>
    </form>
    </td>
  </tr>
  
  <?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
  
  <tr>
    <td colspan="3" style="padding-top:0">
    <p>Id Palet Cliente:<br />
    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoIdPaletCliente" /><input name="idPaletCliente" type="text" class="campo" id="idPaletCliente" size="18" style="width:460px" autocomplete="off" value=""/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarIdPaletCliente"/></p>
    </td>
  </tr>
  
  <?php } ?>
  
  
  <tr>
    <td><p class="sinMargen">Ubicación actual:<br />
      <input name="ubicacionActual" type="text" disabled="disabled" class="campo" id="ubicacionActual" style="width:400px"/></p></td>
    <td></td>
    <td><p class="sinMargen">Ubicación propuesta:<br />
      <input name="ubicacionPropuesta" type="text" disabled="disabled" class="campo" id="ubicacionPropuesta" style="width:400px"/></p></td>
  </tr>
  
  <tr>
    <td colspan="3">
     	
        <input type="hidden" id="segundaLecturaUbicacion" name="segundaLecturaUbicacion" />
        <input type="hidden" id="segundaLecturaUbicacionDefinitiva" name="segundaLecturaUbicacionDefinitiva" />
        
        <p class="sinMargen">Ubicación definitiva:<br />
        
        <?php if($ubicacionObligatoria) { ?>
        
            <input name="ubicacionDefinitiva" type="text" class="campo deshabilitado" id="ubicacionDefinitiva" style="width:400px" autocomplete="off" readonly value="<?php echo $ubicacionObligatoria; ?>"/>
            
            <p><input type="submit" name="botonConfirmarUbicacionObligatoria" id="botonConfirmarUbicacionObligatoria" value="CONFIRMAR" class="boton" style="display:none"/></p>
        
        <?php } else { ?>
        
            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoUbicacion" /><input name="ubicacionDefinitiva" type="text" class="campo" id="ubicacionDefinitiva" style="width::400px" autocomplete="off"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarUbicacionDefinitiva"/></p>
        
        <?php } ?>
        
    </td>
  </tr>
</table>


<form id="irATraspasar" name="irATraspasar" method="post" action="traspasar-productos.php<?php if($_GET['procedencia']) { ?>?procedencia=<?php echo $_GET['procedencia']; ?><?php } ?>" style="display:none">
	<input type="hidden" name="contenedorTraspasar" id="contenedorTraspasar" />
	<p><input type="submit" name="boton" id="boton" value="Ir a pantalla Traspasar" class="boton reducido" /></p>
</form>

<?php
if($reposicion) {
	$pantalla_anterior='reposicion-orden.php';
	include('maqueta/menu-orden-reposicion.php');
}
?>

<div id="listaProductos">
</div>

<script>

var enviando=false;

function CargaValidaUbica() {

	$('#popupCargando').show();
	
	/*
	//14-12-2020 ESTA DOBLE LLAMADA LA ANULAMOS -PERO SE MANTIENEN PARA CLIENTS NO ACTUALIZADOS- Y CREAMOS UN NUEVO WS UBICARv2
	//(ver sub script /contenidos/ubicar-con-validacion.php)
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/validar-ubicacion.php", { contenedor:$("#contenedor").val(), ubicacion:$("#ubicacionDefinitiva").val() })
	.done(function(data) {
		var error=data.split('#');
		if(error[0]==1) {
			$('#popupCargando').hide();
			alert(error[1],null,'error');
			enviando=false;
		}
		else {
			$.post( "<?php echo $rutaHtml; ?>/contenidos/ubicar.php", { contenedor:$("#contenedor").val(), ubicacion:$("#ubicacionDefinitiva").val() })
			.done(function(data) {
				$('#popupCargando').hide();
				var error=data.split('#');
				if(error[0]==1) alert( error[1] );
				else {
					alert( "Contenedor ubicado correctamente en "+$("#ubicacionDefinitiva").val(),null,'ok' ).done(function() { 
						$('#popupCargando').show();
						window.location="ubicar-contenedor.php";
					});
				}
				enviando=false;
			});
						
		}
	});
	*/
	
	console.log("<?php echo $rutaHtml; ?>/contenidos/ubicar-con-validacion.php");
	console.log('contenedor: '+$("#contenedor").val());
	console.log('ubicacion: '+$("#ubicacionDefinitiva").val());
	console.log('idPaletCliente: '+$("#idPaletCliente").val());
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/ubicar-con-validacion.php", { contenedor:$("#contenedor").val(), ubicacion:$("#ubicacionDefinitiva").val() , idPaletCliente:$("#idPaletCliente").val()  })
	.done(function(data) {
			
			$('#popupCargando').hide();
			
			var error=data.split('#');
			if(error[0]==1) alert( error[1] );
			else {
				alert( "Contenedor ubicado correctamente en "+$("#ubicacionDefinitiva").val(),null,'ok' ).done(function() { 
					$('#popupCargando').show();
					<?php if($_GET['procedencia']) { ?>
					window.location='<?php echo $rutaHtml; ?>/<?php if($pantalla_anterior) echo $pantalla_anterior; else { ?>reposicion-orden.php<?php } ?>';
						<?php } else { ?>
					window.location="ubicar-contenedor.php";
					<?php } ?>
				});
			}
			enviando=false;

	});
}


$(document).ready(function() {

	<?php if($ubicacionObligatoria) { ?>
	
	$('#botonConfirmarUbicacionObligatoria').on('click',function(e){
		e.preventDefault();
		$('#ubicacionDefinitiva').trigger('change');
	});
	
	<?php } ?>

	$('#segundaLecturaUbicacion').on('change',function(e){
	
		e.preventDefault();
	
		var valor=$(this).val();
		
		<?php if($mascaraDobleUbicacion) { ?>
				
			var mascara='<?php echo $mascaraDobleUbicacion; ?>';
			valor=mascara.replace('*',valor);
		
		<?php } else { ?>
	
			var ConfigUbiNivelSeparador='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelSeparador']; ?>';
			var ConfigUbiNivelTamanyoID='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID']; ?>';
			var ConfigUbiNivelCaracterAutocompletar='<?php if($_SESSION['parametrosSGA']['ConfigUbiNivelAutocompletarEspacios']=='S') { ?> <?php } else if($_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']=='') { ?>0<?php } else echo $_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']; ?>';
			var ConfigUbiNivelAlineacion='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelAlineacion']; ?>';
			
			var valorAutorellenado='';
			for( var i=1 ; i <= ConfigUbiNivelTamanyoID-valor.length ; i++) valorAutorellenado+=ConfigUbiNivelCaracterAutocompletar;
			
			if(ConfigUbiNivelAlineacion=='I') valor=valor+valorAutorellenado;
			else valor=valorAutorellenado+valor;
			
			if(ConfigUbiNivelSeparador!='') valor=ConfigUbiNivelSeparador+valor;
			
		<?php } ?>
		
		$('#ubicacionDefinitiva').val( $('#ubicacionDefinitiva').val()+valor );
		$('#segundaLecturaUbicacionDefinitiva').val( $('#ubicacionDefinitiva').val() );
		
		CargaValidaUbica();
	
	});
	
	$('#segundaLecturaUbicacionDefinitiva').on('change',function(e){
		$('#ubicacionDefinitiva').val( $('#segundaLecturaUbicacionDefinitiva').val() );
		CargaValidaUbica();
	});
	
	$('#ubicacionDefinitiva').on('change',function(e){
	
		e.preventDefault();
	
		<?php if($_SESSION['dobleLecturaUbicacion']) { ?>
		
			<?php if($borrarAlturaDeUbicacionScanner) { ?>
				$(this).val( $(this).val().substring(0,$(this).val().length-<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID']; ?>) );
			<?php } ?>
		
			$('#teclado').show();
			$('#valor').val('');
			$('#valorOculto').val('');
			$('#enter').attr('campoValor','segundaLecturaUbicacion');
			$('#enter').attr('forzarEnter','si');
		
		<?php } else { ?>
		
			enviando=true;
			$('#segundaLecturaUbicacionDefinitiva').val( $('#ubicacionDefinitiva').val() );
			CargaValidaUbica();
		
		<?php } ?>
	
	});

	

	

	$('#formularioContenedor').on("submit",function(e){
		
		e.preventDefault();
		
		if($('#contenedor').val()=='') {
		
			alert("ERROR: No has indicado contenedor.",$('#contenedor'),'error');
			
		}
		else {
		
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php", { contenedor:$("#contenedor").val() })
				.done(function(data) {
					
					var info=data.split('#');
					
					if(info[0]=='error') {
				
						$('#popupCargando').hide();
						$("#contenedor").val('');
						alert(info[2],$("#contenedor"),'error');
					
					}
					else {
					
						var ubicacionActualMostrar;
						var ubicacionPropuestaMostrar;
						
						if(info[2]!='') ubicacionActualMostrar=info[2]; else ubicacionActualMostrar=info[0];
						if(info[3]!='') ubicacionPropuestaMostrar=info[3]; else ubicacionPropuestaMostrar=info[1];
						
						$('#ubicacionActual').val(ubicacionActualMostrar);
						$('#ubicacionPropuesta').val(ubicacionPropuestaMostrar);
						
						
						//28-07-2023
						<?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
						if(info[5]!='') {
							$('#idPaletCliente').val(info[5]);
							$('#ubicacionDefinitiva').focus();
						}
						else {
							$('#idPaletCliente').focus();
						}
						<?php } else { ?>
						
						$('#ubicacionDefinitiva').focus();
						
						<?php } ?>
						
						$('#contenedorTraspasar').val($('#contenedor').val());
						$('#irATraspasar').show();
						
						<?php if($ubicacionObligatoria) { ?>
						$('#botonConfirmarUbicacionObligatoria').show();
						<?php } ?>
						
						$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php?traza=<?php echo $_GET['traza']; ?>", { contenedor:$("#contenedor").val() , mostrarOtrasUbicaciones : true , procedencia:'ubicacion' })
						.done(function(data) {
							$('#popupCargando').hide();
							$('#listaProductos').html(data);
						});
							
					} //Fin gestion error
				});
		}
	});
	

	
	$('#borrarContenedor').on("click",function(){
		
		$("#contenedor").val('');
		$("#ubicacionActual").val('');
		$("#ubicacionPropuesta").val('');
		$("#ubicacionDefinitiva").val('');
		$("#listaProductos").empty();
		$("#contenedor").focus();
		
		<?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
		$("#idPaletCliente").val('');
		<?php } ?>
		
	});
	
	$('#borrarUbicacionDefinitiva').on("click",function(){
		
		$("#ubicacionDefinitiva").val('');
		
		$('#segundaLecturaUbicacion').val('');
		$('#segundaLecturaUbicacionDefinitiva').val('');
		
		$("#ubicacionDefinitiva").focus();
		
	});
	
	$('#tecladoContenedor').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedor').val() );
		$('#valorOculto').val( $('#contenedor').val() );
		$('#enter').attr('campoValor','contenedor');
		$('#enter').attr('formulario','formularioContenedor');
		
	});
	
	$('#tecladoUbicacion').on("click",function(){
		
		console.log('teclado segunda ubicacion');
		
		$('#teclado').show();
		$('#valor').val( $('#segundaLecturaUbicacionDefinitiva').val() );
		$('#valorOculto').val( $('#segundaLecturaUbicacionDefinitiva').val() );
		$('#enter').attr('campoValor','segundaLecturaUbicacionDefinitiva');
		$('#enter').attr('forzarEnter','si');
		
	});
	
	//18-3-2022 añadido por ticket 22043657, no carga la info del contenedor si no hacen enter al final 
	$("#contenedor").on('blur',function(){
	
		if($(this).val()) $('#formularioContenedor').submit();
		
	});
	
	
	<?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
	
	$('#tecladoIdPaletCliente').on('click',function(){
		
		$('#teclado').show();
		$('#valor').val( $('#idPaletCliente').val() );
		$('#valorOculto').val( $('#idPaletCliente').val() );
		$('#enter').attr('campoValor','idPaletCliente');
		$('#enter').attr('formulario','');
		$('#enter').attr('forzarEnter','no');
		
	});
	
	$('#borrarIdPaletCliente').on('click',function(){
		
		$("#idPaletCliente").val('');
		$("#idPaletCliente").focus();
		
	});
	
	$('#idPaletCliente').on('change',function(){
		
		if($(this).val()!='') {
			if($('#contenedor').val()=='') $('#contenedor').focus();
			else $('#ubicacionDefinitiva').focus();
		}
		
	});
	
	<?php } ?>
	
	
	$("#contenedor").focus();
	
	<?php if($contenedor) { ?>
	$('#formularioContenedor').submit();
	<?php } ?>

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
